Subject: [os2genau_digest] No. 594
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Fri, 18 Apr 2003 00:04:04 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Thursday 17 April 2003
 Number  594
**************************************************

Subjects for today
 
1  Re:  Cross-migration was Novell migrates to Linux : John Angelico" <talldad at kepl dot com dot au>
2  Re:  Cross-migration was Novell migrates to Linux : Ed Durrant <edurrant at bigpond dot net dot au>
3  Re:  Novell migrates to Linux : Ed Durrant <edurrant at bigpond dot net dot au>
4   Troubles : <djn at peninsula.hotkey dot net dot au>
5  Re:  Cross-migration was Novell migrates to Linux : Paul Smedley" <paul at smedley.info>
6  Re:  Troubles : Paul Smedley" <paul at smedley.info>
7  Re:  RTL drivers was Troubles : John Angelico" <talldad at kepl dot com dot au>

**= Email   1 ==========================**

Date:  Thu, 17 Apr 2003 11:00:02 +1000 (EST)
From:  "John Angelico" <talldad at kepl dot com dot au>
Subject:  Re:  Cross-migration was Novell migrates to Linux

On Wed, 16 Apr 2003 22:45:58 +1000 (EST), John Wildgoose wrote:

John & Ed, and all those talented programmers whom I admire ('cos I can't
match your skills<g>)

>ED,
>
>Sorry, got a bit carried away on your first paragraph, and forgot to
>address the second.
>
>By all means port as much useful stuff to OS/2 as you can legally and
>have the time to do so!
>
>My preference would be for OS/2 native work, but second best is better
>than no fish at all!
>
>Most Unix/Linux stuff will work through X11 libraries and either gnu or
>KDE interfaces. Most of this can be ported to OS/2 through the x11 support
>project.

If you have a look at the OS/2 EZine just released, you will see in the
Tips article that the USP of OS/2, in fact it's 'killer app,' is the WPS
and almost total object orientation.

Whilst I recognise that the *nixes have built-in multi-user facilities and
great multi-threading, they simply do not have the WPS.

So yes, I would love to see more apps ported from *nix to OS/2, but I am
under no illusions about the difficulties involved in making such ports
really useful, productive and effective in exploiting the power of our
favourite platform.

>I wonder if this direction is just going to make for a smoother path for
>os/2 users to swap to Linux.

Having fiddled with non-OS/2 apps for a little (including the bloated and
apparently single-threaded StarOffice 5 for OS/2) , I can say that
migrating won't be easy for someone like me. I will become a bleating
whinger - "why can't I do xxx, like I used to in OS/2?"  

For instance: "Why can't I replace the standard Open dialog with the
version from XFile, like I can in OS/2?"

Best regards
John Angelico
OS/2 SIG
talldad at melbpc dot org dot au or talldad at kepl dot com dot au
--------------------------------------

PMTagline v1.50 - Copyright, 1996-1997, Stephen Berg and John Angelico
.... eComStation..... the best just gets better...
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Thu, 17 Apr 2003 20:43:10 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  Cross-migration was Novell migrates to Linux

The X-11 thing interests me as well.

Does having an X-11 environment (such as that available commercially for OS/2 in the
form of HobLink X11), automatically make it possible to run any X-11 app from another
platform, without re-compile / rewrite etc. ?

Cheers/2

Ed.

John Angelico wrote:

> >Most Unix/Linux stuff will work through X11 libraries and either gnu or
> >KDE interfaces. Most of this can be ported to OS/2 through the x11 support
> >project.

----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Thu, 17 Apr 2003 20:49:34 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  Novell migrates to Linux

Well if Novell are trying to create a cross platform LDAP type structure, they're a
little late - Comtarsia in Vienna have been doing this for some time. Full OS/2 support
included.

Cheers/2

Ed.

John Wildgoose wrote:

> Ed,
>
> As I understand it Novell are changing their effort away from their
> traditional file server base to a new identity based on their NDS success.
>

----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Thu, 17 Apr 2003 20:58:32 -1000
From:  <djn at peninsula.hotkey dot net dot au>
Subject:   Troubles

Hi all,
I hope this goes out.
A few months ago my daughter and grand-daughter moved out,
leaving my
office vacant again. So after completely repainting the room
and putting
in a floating floor, I started moving in. I even repaired my
trusty desk
so that it no longer wobbles.

I had also installed a SCSI disk on my machine, I did this in a
desperate attempt to install eCS.

However after much gnashing of teeth and tearing out of hair, I
have
finaly given up on eCS. I have installed the IBM version.

But I found that trying to boot to the SCSI drive with an IDE
drive in
the same machine is impossible.

I think that I have found out where I've gone wrong. With all
the
troubles I was having I removed the IDE drives from my machine
and did
the install with only the SCSI drive.

I later installed each IDE drives one at a time, ensuring that
all the
partitions were made compatibility volumes as well as
installing a boot
manager on the IDE drive.

When creating the boot manager it is necessary to remove the
SCSI
startable volume from the manager and then re-install it to the
boot
manager, if you don't you will find that it has installed the
boot
manager as the only bootable entry.

Having done this I thought I was home and hosed, but NO,
Attempting to
boot the SCSI volume is unsuccssfull.

If now you boot from the CD and select Minimal Command Line at
the first
choice menu, the boot also fails, however if you select Normal
Boot, as
though you were going through with an OS install, when the next
choice
appears, select F for the command prompt will succeed in
loading the
system and getting the command prompt.

As far as I can tell, when booting up from the CD the drivers
on the CD
are loaded and used, for a Minimal Command Line boot as well as
the
normal SCSI boot the drivers on the HD are used.

It stalls loading the IBM1S506.ADD Driver.

Anyway this is not my only problem. I need to get a fast
Ethernet
adapter card.
None of the ones I've been offered at the local shops mention
OS/2
drivers. One did, it used a Realtek RTL8139 chip, the packaging
boasted
OS/2 drivers, enen the text files on the driver disk listed
them, but
they were not there.
I went to Realtek's web site and downloaded OS/2 drivers which
I
installed, but they caused a system crash every time they were
loaded. I
reinstalled the OS and the drivers three times before I gave up
on them.
So if anyone can recomend a Fast ethernet card I will be
grateful.

Now all I have to do is see if this gets sent successfully.

Have a happy Easter

Regards Dennis.

I tried sending this from a hastely configured netscape without sucess.
So I downloaded my normal mailer and installed it

Hope it works, It downloaded all my waiting mail

once again Jappy Easter.

----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Thu, 17 Apr 2003 20:31:00 +0950 (CST)
From:  "Paul Smedley" <paul at smedley.info>
Subject:  Re:  Cross-migration was Novell migrates to Linux

On Thu, 17 Apr 2003 20:43:10 +1000, Ed Durrant wrote:

>Does having an X-11 environment (such as that available commercially for OS/2 in the
>form of HobLink X11), automatically make it possible to run any X-11 app from another
>platform, without re-compile / rewrite etc. ?

Nope.  Tha main use of something like Hoblink is to allow the running of remote apps from a 
*nix server on a local PC.  For eg at Uni we used to run some process design software on a 
Windoze PC that was actually running on a DEC server and just being controlled remotely.

Regards,

Paul.

----------------------------------------------------------------------------------

**= Email   6 ==========================**

Date:  Thu, 17 Apr 2003 20:34:29 +0950 (CST)
From:  "Paul Smedley" <paul at smedley.info>
Subject:  Re:  Troubles

Hiya,

On Thu, 17 Apr 2003 20:58:32 -1000, djn at peninsula.hotkey dot net dot au wrote:
>But I found that trying to boot to the SCSI drive with an IDE
>drive in
>the same machine is impossible.
Can't help with this one as I have no SCSI drives...

>Anyway this is not my only problem. I need to get a fast
>Ethernet
>adapter card.
>None of the ones I've been offered at the local shops mention
>OS/2
>drivers. One did, it used a Realtek RTL8139 chip, the packaging
>boasted
>OS/2 drivers, enen the text files on the driver disk listed
>them, but
>they were not there.

Try the drivers at Hobbes - 
http://hobbes.nmsu.edu/pub/os2/system/drivers/network/rtsnd323.zip

>So if anyone can recomend a Fast ethernet card I will be
>grateful.

3com 3c905 or Intel chipset is good - I got 2 x 3com 3c905's on ebay for $20 total...

Regards,

Paul.

----------------------------------------------------------------------------------

**= Email   7 ==========================**

Date:  Thu, 17 Apr 2003 21:52:40 +1000 (EST)
From:  "John Angelico" <talldad at kepl dot com dot au>
Subject:  Re:  RTL drivers was Troubles

On Thu, 17 Apr 2003 20:58:32 -1000, djn at peninsula.hotkey dot net dot au wrote:

Hi Dennis

>Hi all,
>I hope this goes out.

[chomp] tale of woe!

Anyway this is not my only problem. I need to get a fast
>Ethernet
>adapter card.
>None of the ones I've been offered at the local shops mention
>OS/2
>drivers. One did, it used a Realtek RTL8139 chip, the packaging
>boasted
>OS/2 drivers, enen the text files on the driver disk listed
>them, but
>they were not there.

No but they do exist and the card works fine. I have one here for my cable
connection, as well as a RTL8029 for my local LAN.

If you go to Ian's os2site dot com you shgould find a set under 
http://www.os2site dot com/sw/drivers/network/index.html
It's a big directory so look for RTLxxx and grab whatever you reckon is
worth looking at. Nothing is all that big to download...

But if you are not keen on the Realteks then have a look at all the other
drivers in there as well. 

>I went to Realtek's web site and downloaded OS/2 drivers which
>I
>installed, but they caused a system crash every time they were
>loaded. I
>reinstalled the OS and the drivers three times before I gave up
>on them.
>So if anyone can recomend a Fast ethernet card I will be
>grateful.
>
>Now all I have to do is see if this gets sent successfully.

Saw it all ok.

You will probably get positive answers from others too.

>Have a happy Easter

And to you too!

Best regards
John Angelico
OS/2 SIG
talldad at melbpc dot org dot au or talldad at kepl dot com dot au
--------------------------------------

PMTagline v1.50 - Copyright, 1996-1997, Stephen Berg and John Angelico
.... Emulate: (v.) to simulate hardware glitches with software
----------------------------------------------------------------------------------